org.wildfly.swarm.config.messaging.activemq.server

## Class RemoteConnector<T extends RemoteConnector<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.RemoteConnector<T>

-     public class RemoteConnector<T extends RemoteConnector<T>>
      extends Object

  Used by a remote client to define how it connects to a server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteConnector(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `param(String key, Object value)` A key-value pair understood by the connector factory-class and used to configure it.
    `Map` | `params()` A key-value pair understood by the connector factory-class and used to configure it.
    `T` | `params(Map value)` A key-value pair understood by the connector factory-class and used to configure it.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `socketBinding()` The socket binding that the connector will use to create connections.
    `T` | `socketBinding(String value)` The socket binding that the connector will use to create connections.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteConnector

          public RemoteConnector(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### params

          public Map params()

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### params

          public T params(Map value)

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### param

          public T param(String key,
                         Object value)

      A key-value pair understood by the connector factory-class and used to configure it.

    - #### socketBinding

          public String socketBinding()

      The socket binding that the connector will use to create connections.

    - #### socketBinding

          public T socketBinding(String value)

      The socket binding that the connector will use to create connections.

Copyright © 2017 JBoss by Red Hat. All rights reserved.